import React from "react";
import BootstrapTable from "react-bootstrap-table-next";
import { printMoney } from "../util";

const columns = [
  { dataField: "code", text: "Codigo" },
  { dataField: "product.name", text: "Nombre" },
  {
    dataField: "price",
    text: "Precio",
    formatter: (cell) => printMoney(cell) + " €",
  },
  { dataField: "amount", text: "Cantidad" },
];

function ShowPurchase(props) {
  return (
    <BootstrapTable keyField="code" data={props.purchase} columns={columns} />
  );
}

export default ShowPurchase;
